import './Feed.less';
import util from '../../utils/util.js';
import locationPng from './location.png';
import votePng from './vote.png';
import votedPng from './voted.png';
import commentPng from './comment.png';
let component = React.createClass({
    displayName: 'Feed',
    getInitialState(){
        return {
            voteNum : this.props.feed.voteNum ,
            voted : this.props.feed.voted
        };
    },
    componentDidMount(){},
    componentDidUpdate(){},
    componentWillUpdate(){},
    componentWillUnmount(){},
    vote(id , status , e){
        e.stopPropagation();
        let self = this;
        let api = (status == 'false' ? 'com.taobao.idle.favor.item' : 'com.taobao.idle.unfavor.item');
        lib.mtop.request({
            api: api,
            v: '1.0',
            ecode: 1 ,
            data: {
              itemId: id
            },
        }, function(json){
            let txt = '';
            let voted = '';
            let voteNum = self.state.voteNum;
            if(status == 'false'){
                txt = '点赞成功！';
                voteNum++ ;
                voted = 'true';
            }
            else{
                txt = '取消点赞成功！';
                voted = 'false';
                voteNum--;
            }
            util.dialog.alert(txt);
            self.setState({voteNum : voteNum , voted : voted})
        } , function(json){
            if(!util.login.checkLogin(json)){
                return;
            }
            if(e.ret && e.ret[0].indexOf('您不能给自己点赞噢') !== -1){
                util.dialog.alert('您不能给自己点赞噢');
            }
            console.log(json);
            util.dialog.alert('请求失败，请稍后重试');
        })
    },

    gotoDetail(id){
        if(lib.env.aliapp.appname === 'FM'){
            window.location = 'fleamarket://item?id=' + id;
        }else{
            util.link.openWindow('http://h5.m.taobao.com/2shou/newDetail.html?id=' + id);
        }
    },

    render(){
        let self = this;
        let feed = this.props.feed;
        return (
            <div className='Feed' onClick={this.gotoDetail.bind(null , feed.id)}>
                <div className='feed-hd'>
                    <div className='avatar'>
                        <img src={'//api.2.taobao.com/m/userAvatar.action?id=' + feed.userId + '&suffix=_120x120.jpg&needHttps=1'}/>
                    </div>
                    <div className='nick'>{feed.userNick}
                        <img src={'//api.2.taobao.com/m/userTag.action?nick=' + feed.userNick + '&version=2.0'} />
                        </div>
                    <div className='time'>{feed.time}</div>
                    <div className='price'>￥{feed.price}</div>
                </div>
                <div className='feed-bd'>
                    <div className={'pics s' + feed.pics.length} >
                        {
                            feed.pics.map(function(img){
                                let src = (feed.pics.length == 1 ? util.img.getXz(img , 460) : util.img.getXz(img , 220));
                                return <div className='pic'><img src={src} /></div>
                            })
                        }
                    </div>
                    <div className='desc'>
                        <img className='icon' src='http://gw.alicdn.com/mt/TB13tybKFXXXXabXFXXXXXXXXXX-96-32.png' />
                        {feed.desc}
                    </div>
                    <div className='comment-list'>
                        {
                            feed.commentList.map(function(comment){
                                return (
                                    <div className='comment'>
                                        <span className='nick'>{comment.nick} : </span>
                                        <span className='text'>{comment.text}</span>
                                    </div>
                                )
                                
                            })
                        }
                    </div>
                </div>
                <div className='feed-ft'>
                    <div className='from'><img src={locationPng} />{feed.from}</div>
                    <div className='extral' onClick={this.vote.bind(null , feed.id , this.state.voted)}>
                        {
                            feed.voteNum 
                            ? 
                            <div className='vote'>
                                <img src={this.state.voted == 'false' ? votePng : votedPng} />
                                {this.state.voteNum}
                            </div>
                            :
                            <div />
                        }
                        {
                            feed.commentNum 
                            ?
                            <div className='comment'>
                                <img src={commentPng} />{feed.commentNum}
                            </div>
                            :
                            <div />
                        }
                        
                    </div>
                </div>
            </div>
        )
    }
});
module.exports = component;