import './Slider.less';
import Tip from '../tip/Tip';
import util from '../../utils/util';
let noScroll = function(e){
    e.preventDefault();
    return false;
}
let component = React.createClass({
    displayName: 'Slider',
    getInitialState(){
        return {
            tipDisplay : 'hide' ,
        };
    },
    componentDidMount(){
        setTimeout(function(){
            new lib.Slider('.Slider',{
                trigger : '.slider-status',
                loop : true,
                play : true,
                interval : 6000
            });
        } , 500)
    },
    tipOpen(){
        this.setState({
            tipDisplay : 'show'
        });
        document.addEventListener('touchmove', noScroll);
        return false;
    },
    tipClose(){
        this.setState({
            tipDisplay : 'hide'
        });
        document.removeEventListener('touchmove', noScroll);
        return false;
    },
    componentDidUpdate(){},
    componentWillUpdate(){},
    componentWillUnmount(){},
    render(){
        let self = this;
        let list = this.props.list;
        return (
            <div>
                <div className='Slider'>
                    <div className="slider-outer">
                        <ul className="slider-wrap">
                            {
                                list.map(function(item,i){
                                    return (<li >
                                                <img src={item.pic}  />
                                            </li>)
                                })
                            }
                            
                        </ul>
                    </div>
                    <div className="slider-status"></div>
                </div>
                <div className='rule' onClick={self.tipOpen}>规则说明 <span> > </span></div>
                <Tip close={this.tipClose} display={this.state.tipDisplay} >
                    <div className='hd'>义卖规则说明</div>
                    <div className='bd'>
                        <div className='section'>
                            <p>1. 参加义卖商品，售出金额将全部捐献给公益组织;</p>
                            <p>2. 若卖家设置邮费，邮费将从售出金额中扣除，剩余款项将全部捐献给公益组织;</p>
                            <p>3. 若卖家设置包邮，邮费由卖家自行承担而无法从售出金额中扣除</p>
                            <p>4. 交易成功后款项打给公益组织，不支持退货退款</p>
                            <p>5. 若产生买卖纠纷，建议买卖双方线下解决，闲鱼平台不承担纠纷处理责任</p>
                        </div>
                        
                    </div>
                </Tip>    
            </div>
        )
    }
});
module.exports = component;




