import "./feed.less";
import util from "../utils/util.js";
import List from '../components/list/List';
import Item from '../components/item/Item';
import Feed from '../components/feed/Feed';
import Slider from '../components/slider/Slider';
import Button from '../components/button/Button';
let Page = React.createClass({
    displayName: 'Page',
    data : {

    },
    listConfig : {
        get(tab , pageNumber , suc , fail){
            lib.mtop.request({
                api : 'com.taobao.idle.topic.charity.item.list',
                jsonpApi : 'idleTopicCharityItemList@1',
                v : '1.0',
                ecode : 0 ,
                data : {
                    topicId : util.link.getParam('id'),
                    //topicId : 534458407724,
                    rowsPerPage : 20,
                    pageNumber : pageNumber
                }
            } , suc, fail);
        },
        getList(json){
            let list = [];
            
            for(let i=0; i<json.data.items.length; i++){
                let item = json.data.items[i];
                let feed = {
                    id : item.id ,
                    userId : item.userId ,
                    userNick : item.userNick ,
                    time : util.date.create(item.firstModified).showTime(),
                    price : item.price ,
                    pics : item.imageUrls.slice(0,3) ,
                    desc : item.title + ',' + (item.description || ''),
                    voteNum : item.favorNum > 99 ? '99+' : parseInt(item.favorNum) ,
                    commentNum : item.commentNum > 99 ? '99+' : parseInt(item.commentNum),
                    voted : item.favored,
                    commentList : []
                }
                if(!item.fishpoolName){
                    item.subTags.map(function(v, k){
                        if(v.type == '3'){
                          item.fishpoolName = v.name;
                        }
                    })
                }
                if(item.fishpoolName){
                    feed.from = '来自' + item.city + ' 鱼塘|' + item.fishpoolName
                }
                else{
                    feed.from = '来自' + (item.province == item.city ? item.city : item.province + ' ' + item.city)
                }
                if(item.commentDO){
                    if(item.commentDO.sellerNick){
                        feed.commentList.push({
                            nick : item.commentDO.sellerNick , 
                            text : item.commentDO.sellerComment
                        });
                        feed.commentList.push({
                            nick : item.commentDO.buyerNick , 
                            text : item.commentDO.buyerComment
                        });
                    }else{
                        feed.commentList.push({
                            nick : item.commentDO.buyerNick , 
                            text : item.commentDO.buyerComment
                        });
                    }
                }
                
                list.push(feed);
            }
            console.log(list);
            return list;

        },
        fail(json){
            if(!util.login.checkLogin(json)){
                return;
            }
            console.log(json);
        },
        renderItem(item){
            return (<Feed feed={item} />);
        },
        noneText : '没有就是没有哈',
    },
    
    getData(index , cat){
    } ,
    getInitialState(){
        let self = this;
        let id = util.link.getParam('id');
        let item = {};
        for(let i=0;i<json_data.items.length;i++){
            if(json_data.items[i].id == id){
                item = json_data.items[i].data;
            }
        }
        let sliderList = [];
        for(let i=0; i<item.slider.length;i++){
            sliderList.push(item.slider[i].node);
        }
        util.dialog.setTitle(item.title);
        console.log(item);
        try{
            util.dialog.share({
                image : util.img.getXz(item.slider[0].node.pic , 220).replace("//" , "http://"),
                url : 'http://wapp.m.taobao.com/2shou/donate/test.htm?id=' + id  ,
                title : '爱，是闲置最好的归宿，闲鱼可以献爱心了'
            })
        }catch(e){}
        return {
            sliderList : sliderList,
            item : item ,
            total : '337'
        };
    },
    setTotal(total){
        this.setState({
            total : total
        });
    },
    componentDidMount(){
    },
    componentWillUnmount(){
    },
    render(){
        let item = this.state.item;
        let pIntroDes = '';
        for(let i=0; i<item.pIntroDes.length; i++){
            if(item.pIntroDes[i].type == 1){
                pIntroDes = item.pIntroDes[i].value;
                break;
            }
        }
        return (
            <div>
                <div className='hd'>
                    <Slider list={this.state.sliderList} />
                    <div className='left'>
                        <div className='label'>已提交义卖宝贝(件)</div>
                        <div className='num'>{this.state.total}</div>
                    </div>
                    <div className='right'>
                        <div className='label'>目标筹集金额(元)</div>
                        <div className='num'>{item.money}</div>
                    </div>
                </div>
                <div className='p-intro' onClick={util.link.openWindow.bind(null , 'p-intro.htm?id=' + this.state.id)}>
                    <div className='label'><div className='line' ></div>项目介绍</div>
                    <div className='text'>{pIntroDes}</div>
                </div>
                <div className='g-intro' onClick={util.link.openWindow.bind(null , 'g-intro.htm?id=' + this.state.id)}>
                    <div className='label'><div className='line' ></div>公益组织介绍</div>
                    <div className='text'>{item.gIntroTitle}</div>
                    <div className='icon'></div>
                </div>
                
                <List config={this.listConfig}  />
                <Button />
            </div>
        )
    }
});

React.render(
    <Page />,
    document.getElementById('content')
);

